package nc.bs.gl.pfxx;
import nc.bs.dao.BaseDAO;
import nc.jdbc.framework.processor.ColumnProcessor;

public class GetBaseDAOUtil {
    private static BaseDAO baseDAO = new BaseDAO();

    // 用户编码
    public static String getUserCode(String cuserid) throws Exception {
        String sql = "select user_code from sm_user where cuserid ='"+cuserid+"' and nvl(dr,0)=0";
        String user_code = (String) baseDAO.executeQuery(sql, new ColumnProcessor());
        if (user_code == null) {
            return "";
        }
        return user_code;
    }

    //用户名称
    public static String getUserName(String cuserid) throws Exception {
        String sql = "select user_name from sm_user where cuserid ='"+cuserid+"' and nvl(dr,0)=0";
        String user_name = (String) baseDAO.executeQuery(sql, new ColumnProcessor());
        if (user_name == null) {
            return "";
        }
        return user_name;
    }

    //凭证类别编码
    public static String getVoucherTypeCode(String pk_vouchertype) throws Exception {
        String sql = "select code from bd_vouchertype where pk_vouchertype ='"+pk_vouchertype+"' and nvl(dr,0)=0";
        String vouchertypecode = (String) baseDAO.executeQuery(sql, new ColumnProcessor());
        if (vouchertypecode == null) {
            return "";
        }
        return vouchertypecode;
    }

    //凭证类别名称
    public static String getVoucherTypeName(String pk_vouchertype) throws Exception {
        String sql = "select name from bd_vouchertype where pk_vouchertype ='"+pk_vouchertype+"' and nvl(dr,0)=0";
        String vouchertypename = (String) baseDAO.executeQuery(sql, new ColumnProcessor());
        if (vouchertypename == null) {
            return "";
        }
        return vouchertypename;
    }

    //财务组织编码
    public static String getOrgCode(String pk_org) throws Exception {
        String sql = "select code from org_financeorg where pk_financeorg ='"+pk_org+"' and nvl(dr,0)=0";
        String code = (String) baseDAO.executeQuery(sql, new ColumnProcessor());
        if (code == null) {
            return "";
        }
        return code;
    }

    //财务组织名称
    public static String getOrgName(String pk_org) throws Exception {
        String sql = "select name from org_financeorg where pk_financeorg ='"+pk_org+"' and nvl(dr,0)=0";
        String name = (String) baseDAO.executeQuery(sql, new ColumnProcessor());
        if (name == null) {
            return "";
        }
        return name;
    }

    //账簿编码
    public static String getAccountBookCode(String pk_accountingbook) throws Exception {
        String sql = "select code from org_accountingbook where pk_accountingbook ='"+pk_accountingbook+"' and nvl(dr,0)=0";
        String code = (String) baseDAO.executeQuery(sql, new ColumnProcessor());
        if (code == null) {
            return "";
        }
        return code;
    }

    //账簿名称
    public static String getAccountBookName(String pk_accountingbook) throws Exception {
        String sql = "select name from org_accountingbook where pk_accountingbook ='"+pk_accountingbook+"' and nvl(dr,0)=0";
        String name = (String) baseDAO.executeQuery(sql, new ColumnProcessor());
        if (name == null) {
            return "";
        }
        return name;
    }


    //币种
    public static String getCurrencyName(String pk_currtype) throws Exception{
        StringBuffer str = new StringBuffer();
        str.append("select a.name from bd_currtype a ");
        str.append("where a.pk_currtype = '"+pk_currtype+"' and nvl(a.dr,0)=0 ");
        String name = (String) baseDAO.executeQuery(str.toString(), new ColumnProcessor());
        if (name == null) {
            return "";
        }
        return name;
    }

    //会计科目名称
    public static String getAccountName(String pk_accasoa) throws Exception{
        StringBuffer str = new StringBuffer();
        str.append("select c.name from gl_detail a ");
        str.append("left join bd_accasoa b on a.pk_accasoa = b.pk_accasoa ");
        str.append("left join bd_account c on b.pk_account = c.pk_account ");
        str.append("where a.pk_accasoa = '"+pk_accasoa+"' and nvl(a.dr,0)=0 and nvl(b.dr,0)=0 and nvl(c.dr,0)=0");
        String name = (String) baseDAO.executeQuery(str.toString(), new ColumnProcessor());
        if (name == null) {
            return "";
        }
        return name;
    }
}
